在Debian9(Stable)中默认安装了python2.7和pytohon3.5两个版本,但是没有IDLE,本人想用pytihon3.5的IDLE,将本次解决问题在此Mark一下,
首先,执行
sudo apt-get install idle-python*
查看系统中的自带的相关软件包,执行结中会列出相关的软件,我看到有一个
```
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
注意,根据Glob 'idle-python*' 选中了 'idle-python2.6'

注意,根据Glob 'idle-python*' 选中了 'idle-python2.7' 
 
注意,根据Glob 'idle-python*' 选中了 'idle-python3.5' 
``` 
结果看到了有一个"idle-python3.5"就是我想要的报名,接下来执行 
 
``` 
sudo apt-get install idle-python3.5 
``` 
接下来去开始菜单中找到编程中找到“IDEL(using Python-3.5)”就可以使用了,或者可以在命令行中输入软件包名“idle-python3.5”来启动IDLE,记不住的情况下可以用TAB来进行补全。 

补充:我的Debian9用的live-cd-cinnamon。

Tip:

参考文章:IT虾米网


发布评论
IT序号网

微信公众号号:IT虾米 (左侧二维码扫一扫)欢迎添加!

Spring系列之Spring常用注解总结知识解答
你是第一个吃螃蟹的人
发表评论

◎欢迎参与讨论,请在这里发表您的看法、交流您的观点。